Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.util
Interface TransferDropTargetListener

All Superinterfaces:
  DropTargetListener, EventListener, org.eclipse.swt.internal.SWTEventListener

public interface TransferDropTargetListener
extends DropTargetListener

A `TransferDropTargetListener` is a `DropTragetListener` that handles one type of SWT `Transfer`. The purpose of a `TransferDropTargetListener` is to:

- Determine enablement for a drop operation. A `TransferDropTargetListener` will not be used if `isEnabled` returns false.
- When enabled, optionally show feedback on the `DropTarget`.
- Perform the actual drop

A `DelegatingDropAdapter` allows these functions to be implemented separately for unrelated types of drags. `DelegatingDropAdapter` then combines the function of each `TransferDropTargetListener`, while allowing them to be implemented as if they were the only `DragSourceListener`.

NOTE: This API is experimental and subject to change including removal.

Since:
  2.2

Method Summary
`Transfer` | `getTransfer()` Returns the `Transfer` type that this listener can accept a drop operation for.
`boolean` | `isEnabled(DropTargetEvent event)` Returns `true` if this listener can handle the drop based on the given `DropTargetEvent`.

Methods inherited from interface org.eclipse.swt.dnd.DropTargetListener
`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept`

Method Detail

### getTransfer

    public Transfer getTransfer()

  Returns the `Transfer` type that this listener can accept a drop operation for.

  Returns:
    the `Transfer` for this listener

### isEnabled

    public boolean isEnabled(DropTargetEvent event)

  Returns `true` if this listener can handle the drop based on the given `DropTargetEvent`.

  This method is called by the `DelegatingDropAdapter` only if the `DropTargetEvent` contains a transfer data type supported by this listener. The `Transfer` returned by the `#getTransfer()` method is used for this purpose.

  Parameters:
    `event` - the drop target event
  Returns:
    `true` if the listener is enabled for the given drop target event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.